package recitations.recitation8;

import util.annotations.StructurePattern;
import util.annotations.StructurePatternNames;

@StructurePattern(StructurePatternNames.LINE_PATTERN)
public class ALine implements Line {

	
	int			width, height, x, y;
	//Location	location;

	public ALine(int initX, int initY, int initWidth, int initHeight) {
		setX(initX);
		setY(initY);
		setWidth(initWidth);
		setHeight(initHeight);
	}
	
	//Copy CTOR
	public ALine(Line other) {
		this.setX(other.getX());
		this.setY(other.getY());
		this.setHeight(other.getHeight());
		this.setWidth(other.getWidth());
	}

	public int getX() {
		return x;
	}

	public void setX(int newX) {
		x = newX;
	}

	public int getY() {
		return y;
	}

	public void setY(int newY) {
		y = newY;
	}
	
	public int getWidth() {
		return width;
	}

	public void setWidth(int newVal) {
		width = newVal;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int newHeight) {
		height = newHeight;
	}
}
